Get documents by ID with a signed URL
curl --request GET \
--url https://api.korint.io/documents \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/documents"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"path": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"signedUrl": "<string>"
}
]
}documents
Get documents by ID with a signed URL
GET
/
documents
Get documents by ID with a signed URL
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Query Parameters
the document ids to retrieve
include deleted documents
force download disposition for signed URLs (attachment instead of inline)
Response
200 - application/json
the documents retrieved
Show child attributes
Show child attributes
Was this page helpful?
⌘I

